/// <reference types="react" />
import { TextFieldProps } from '@material-ui/core';
import { FormContextType, FormControlType } from '../../../types/common-form-components-types';
export declare type TreeNodeInputPayload = {
    name: string;
    value: any;
}[];
export declare type TreeNodeInputType = {
    id: string;
    descendents?: TreeNodeInputType[];
    data?: TreeNodeInputPayload;
};
export declare type TreeNodeInputProps = TreeNodeInputType & {
    formContext: FormContextType & FormControlType;
    isEndingNode?: boolean;
    level?: number;
    allowUserToDefineData?: boolean;
    nodeLabel?: string;
    required?: boolean;
    onDelete?: (id: string) => void;
} & TextFieldProps;
export declare const TreeNodeInput: ({ id, formContext, data, descendents, allowUserToDefineData, isEndingNode, level, onDelete, nodeLabel, required, ...textInputProps }: TreeNodeInputProps) => JSX.Element;
