/// <reference types="react" />
export declare type TreeNodePayload = {
    [key: string]: string;
};
export declare type TreeNodeType = {
    name: string;
    descendents?: TreeNodeType[];
    data?: TreeNodePayload;
    userData?: {
        name: string;
        value: string;
    }[];
};
declare type Props = {
    node: TreeNodeType;
    isEndingNode?: boolean;
    level?: number;
    isCollapsed?: boolean;
    onSelect?: (data: TreeNodeType) => void;
    children?: never;
};
export declare const TreeNode: ({ node, isEndingNode, level, isCollapsed, onSelect, }: Props) => JSX.Element;
export {};
